Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missingelement

## Class required_element_missingCodeAction

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missingelement.required_element_missingCodeAction

All Implemented Interfaces:
  `ICodeActionParticipant`

    public class required_element_missingCodeAction
    extends Object
    implements ICodeActionParticipant

CodeAction to insert expected child elements within an element Given this XML where the expected child elements are not present as defined in the relaxNG schema: <servlet></servlet> Error: Child elements are missing from element: - servlet To fix the error, the code action will suggest inserting the expected elements inside the parent tag

### Constructor Summary

Constructors
`required_element_missingCodeAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doCodeAction​(ICodeActionRequest request, List<org.eclipse.lsp4j.CodeAction> codeActions, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collect the code action in the given `codeActions` for the given code action request `request`.
`ICodeActionResolvesParticipant` `getResolveCodeActionParticipant​(String participantId)` Returns the codeAction resolver participant identified by the given `participantId` and null otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeActionUnconditional`

### Constructor Detail

#### required_element_missingCodeAction

    public required_element_missingCodeAction()

### Method Detail

#### doCodeAction

    public void doCodeAction​(ICodeActionRequest request,
                             List<org.eclipse.lsp4j.CodeAction> codeActions,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionParticipant`
Collect the code action in the given `codeActions` for the given code action request `request`.

Specified by:
  `doCodeAction` in interface `ICodeActionParticipant`
Parameters:
  `request` - the code action request.
  `codeActions` - list of code actions to fill.
  `cancelChecker` - the cancel checker.

#### getResolveCodeActionParticipant

    public ICodeActionResolvesParticipant getResolveCodeActionParticipant​(String participantId)

Description copied from interface: `ICodeActionParticipant`
Returns the codeAction resolver participant identified by the given `participantId` and null otherwise.

Specified by:
  `getResolveCodeActionParticipant` in interface `ICodeActionParticipant`
Parameters:
  `participantId` - the code action resolver participant ID.
Returns:
  the codeAction resolver participant identified by the given `participantId` and null otherwise.